package com.huaweicloud.dli.io.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public class MapType extends DataType {
    private final DataType keyType;

    private final DataType valueType;

    @Override
    public String getName() {
        return String.format("map<%s,%s>", keyType.getName(), valueType.getName());
    }
}
